package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckClenbuterolEntity;
import com.ruoyi.web.v3.model.request.HbCheckClenbuterolPageReq;
import com.ruoyi.web.v3.service.IHbCheckClenbuterolService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0瘦肉精检测登记 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-check-clenbuterol")
@Api("3.0瘦肉精检测登记管理")
public class HbCheckClenbuterolController {

    @Resource
    private IHbCheckClenbuterolService checkClenbuterolService;

    @ApiOperation("瘦肉精检测登记记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbCheckClenbuterolEntity request){
        return checkClenbuterolService.add(request);
    }

    @ApiOperation("瘦肉精检测登记记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbCheckClenbuterolEntity request){
        return checkClenbuterolService.edit(request);
    }

    @ApiOperation("瘦肉精检测登记记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return checkClenbuterolService.delete(ids);
    }

    @ApiOperation("瘦肉精检测登记记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbCheckClenbuterolPageReq request) {
        return checkClenbuterolService.page(request);
    }


    @ApiOperation("瘦肉精检测登记记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return checkClenbuterolService.listAll();
    }

}
